etags(1)

NAME
etags -- generate tag file for Emacs
ctags -- generate tag file for vi

SYNOPSIS
etags [-CDSTVHadt] [-i file] [-o outfile]
[--defines] [--no-defines] [--c++] [--typedefs] [--typedefs-and-c++] [--ignore-indentation]
[--help] [--version]
[--include=file] [--output=outfile] [--append] file ... ctags [-CDSTVHadt] [-BFuvwx] [-o outfile]
[--defines] [--no-defines] [--c++] [--typedefs] [--typedefs-and-c++] [--ignore-indentation] [--no-warn]
[--backward-search] [--forward-search] [--vgrind] [--cxref]
[--help] [--version]
[--output=outfile] [--append] [--update] file ...

DESCRIPTION
The `etags' program is used to create a tag table file, in a format understood by emacs(1) ; the `ctags' program is used to create a similar table in a format understood by vi(1) . Both forms of the program understand the syntax of C, Fortran, LaTeX, Scheme and Emacs Lisp/Common Lisp. Both forms read the files specified on the command line, and write a tag table (defaults: `TAGS' for etags, `tags' for ctags) in the current working directory. The programs recognize the language used in an input file based on its file name and contents; there are no switches for specifying the language.

OPTIONS
Some options make sense only for vi style tag files; etags does not recognize them. The programs accept unambiguous abbreviations for long option names.

-d, --defines
    Create tag entries for C preprocessor definitions, too. This is the default behavior for -

-D, --no-defines
    Do not create tag entries for C preprocessor definitions. This is the default behavior for -

-C, --c++
    Treat files with `.c' and `.h' extensions as C++ code, not C code. Files with `.C', `.H', `.cxx', `.hxx', or `.cc' extensions are always assumed to be C++ code.

-t, --typedefs
    Record typedefs in C code as tags.

-T, --typedefs-and-c++
    Generate tag entries for typedefs, struct, enum, and union tags, and C++ member functions.

-S, --ignore-indentation
    Don't rely on indentation as much as we normally do. Currently, this means not to assume that a closing brace in the first column is the final brace of a function or structure definition.

-w, --no-warn
    Suppress warning messages about duplicate entries. The etags program does not check for duplicate entries, so this option has no effect on it.

-B, --backward-search
    Tag files written in the format expected by vi contain regular expression search instructions; the -B option writes them using the delimiter `?', to search backwards through files. Only ctags accepts this option.

-F, --forward-search
    Tag files written in the format expected by vi contain regular expression search instructions; the -F option writes them using the delimiter `/', to search forwards through files. Only ctags accepts this option; it is the default behavior.

-v, --vgrind
    Instead of generating a tag file, write index (in vgrind format) to standard output. Only ctags accepts this option.

-x, --cxref
    Instead of generating a tag file, write a cross reference (in cxref format) to standard output. Only ctags accepts this option.

-H, --help
    Print usage information.

-V, --version
    Print the current version of the program.

-i file, --include=file
    Include a note in tag file indicating that, when searching for a tag, one should also consult the tags file file after checking the current file. Only etags accepts this option.

-o outfile, --output=outfile
    Explicit name of file for tag table; overrides default `TAGS' or `tags'. (But ignored with -v or -x.)

-a, --append
    Append to existing tag file. (For vi-format tag files, see also --update.)

-u, --update
    Update tag entries for files specified on command line, leaving tag entries for other files in place. Currently, this is implemented by deleting the existing entries for the given files and then rewriting the new entries at the end of the tags file. It is often faster to simply rebuild the entire tag file than to use this. (Implies vi-format tag file.)

SEE ALSO
`emacs' entry in info; GNU Emacs Manual, Richard Stallman.
cxref(1), emacs(1), vgrind(1), vi(1).

COPYING
Copyright (c) 1992 Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.